LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XReportDocumentsSupplier Interface Reference

provides the access to a container of database reports. More...

`import"XReportDocumentsSupplier.idl";`

Inheritance diagram for XReportDocumentsSupplier:

## Public Member Functions
com::sun::star::container::XNameAccess | getReportDocuments ()
| returns the container of reports. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides the access to a container of database reports.

See also
  Reports

Developers Guide
  Database Access - Forms and Reports

## Member Function Documentation

## ◆ getReportDocuments()

com::sun::star::container::XNameAccess getReportDocuments | ( |  | ) |

returns the container of reports.

Returns
  the report documents

See also
  Reports

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XReportDocumentsSupplier.idl